"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var memoize_1 = __importDefault(require("lodash/memoize"));
exports.getDefaultDate = function () {
    var date = new Date();
    return date.toISOString().split('.')[0];
};
exports.normalizeDateTime = memoize_1.default(function (timestamp) {
    var d = new Date(timestamp);
    if (isNaN(d.getTime())) {
        return 'Invalid date';
    }
    return d.toISOString().split('.')[0] + 'Z';
});
