import { JSONSchema6 } from 'json-schema';
import { FiltersView, ViewScope } from './components/Filters';
import { v3 } from './migration-types';
interface MigrateLegacyViewsOutput {
    views: FiltersView[];
    viewScopes: ViewScope[];
}
export declare const migrateLegacyFilter: (schema: JSONSchema6, legacyFilter: JSONSchema6 | v3.Filter) => JSONSchema6;
export declare const migrateLegacyViews: (schema: JSONSchema6, legacyViews: FiltersView[] | v3.FilterViewScope[] | MigrateLegacyViewsOutput) => FiltersView[] | v3.FilterViewScope[] | MigrateLegacyViewsOutput;
export declare const migrateLegacySchema: (legacySchema: v3.Schema) => JSONSchema6;
export {};
