import * as tslib_1 from "tslib";
import { RadioButton as GrommetRadioButton, } from 'grommet';
import * as React from 'react';
import styled from 'styled-components';
import asRendition from '../asRendition';
export var getHoverStyle = function (props) { return "\n\t& label:hover input[checked] + div {\n\t\tborder-color: " + props.theme.colors.primary.dark + ";\n\t\tbackground: " + props.theme.colors.primary.dark + ";\n\t},\n"; };
export var getBaseStyle = function (props) { return "\n\t& > label > span { \n\t\tfont-family: " + props.theme.font + ";\n\t}\n\n\t& label input[checked] + div {\n\t\tborder-color: " + props.theme.colors.primary.main + ";\n\t\tbackground: " + props.theme.colors.primary.main + ";\n\t}\n\n\t& label[disabled] {\n\t\topacity: 0.4\n\t}\n"; };
var RadioButtonWrapper = styled.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n"])), getBaseStyle, getHoverStyle);
var RadioButton = function (_a) {
    var className = _a.className, otherProps = tslib_1.__rest(_a, ["className"]);
    return (React.createElement(RadioButtonWrapper, { className: className },
        React.createElement(GrommetRadioButton, tslib_1.__assign({}, otherProps, { name: otherProps.name || 'radio button' }))));
};
export default asRendition(RadioButton);
var templateObject_1;
