import * as tslib_1 from "tslib";
import * as React from 'react';
import FaSearch from 'react-icons/lib/fa/search';
import styled from 'styled-components';
import asRendition from '../asRendition';
import { px } from '../utils';
var Wrapper = styled.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\tposition: relative;\n\twidth: 100%;\n\tborder-bottom: 1px solid ", ";\n\tpadding-left: 24px;\n\tpadding-top: 4px;\n\n\t.search-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tleft: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\tinput {\n\t\toutline: none;\n\t\tbackground: transparent;\n\t\tbox-shadow: none;\n\t\tborder: none;\n\t\twidth: 100%;\n\t\tfont-size: inherit;\n\t\tpadding: 4px;\n\t\theight: auto;\n\t\t&:hover {\n\t\t\tbox-shadow: none;\n\t\t}\n\t\t::placeholder {\n\t\t\tcolor: ", ";\n\t\t\tfont-weight: 300;\n\t\t}\n\t}\n"], ["\n\tposition: relative;\n\twidth: 100%;\n\tborder-bottom: 1px solid ", ";\n\tpadding-left: 24px;\n\tpadding-top: 4px;\n\n\t.search-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tleft: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\tinput {\n\t\toutline: none;\n\t\tbackground: transparent;\n\t\tbox-shadow: none;\n\t\tborder: none;\n\t\twidth: 100%;\n\t\tfont-size: inherit;\n\t\tpadding: 4px;\n\t\theight: auto;\n\t\t&:hover {\n\t\t\tbox-shadow: none;\n\t\t}\n\t\t::placeholder {\n\t\t\tcolor: ", ";\n\t\t\tfont-weight: 300;\n\t\t}\n\t}\n"])), function (props) { return props.theme.colors.quartenary.main; }, function (props) { return props.theme.colors.tertiary.semilight; }, function (props) { return px(props.theme.space[2]); }, function (props) { return props.theme.colors.tertiary.semilight; });
var Search = function (_a) {
    var className = _a.className, dark = _a.dark, disabled = _a.disabled, placeholder = _a.placeholder, value = _a.value, onChange = _a.onChange;
    return (React.createElement(Wrapper, { className: className },
        React.createElement("input", { style: { color: dark ? '#fff' : undefined }, disabled: disabled, placeholder: placeholder || 'Search entries...', value: value, onChange: onChange }),
        React.createElement(FaSearch, { className: "search-icon", name: "search" })));
};
export default asRendition(Search);
var templateObject_1;
